Bug 65777 - Add testing for --force-compositing-mode to windows.internal
: Add testing for --force-compositing-mode to windows.internal
Status: RESOLVED FIXED
: WebKit
WebCore Misc.
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To:
:
:
:
: 55257
  Show dependency treegraph
 
Reported: 2011-08-05 10:42 PST by
Modified: 2011-08-09 12:27 PST (History)


Attachments
Patch (8.60 KB, patch)
2011-08-05 16:17 PST, Adrienne Walker
no flags Review Patch | Details | Formatted Diff | Diff
Patch (9.07 KB, patch)
2011-08-08 12:53 PST, Adrienne Walker
no flags Review Patch | Details | Formatted Diff | Diff
Patch (10.22 KB, patch)
2011-08-08 13:33 PST, Adrienne Walker
no flags Review Patch | Details | Formatted Diff | Diff
Patch (12.38 KB, patch)
2011-08-08 15:22 PST, Adrienne Walker
abarth: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-05 10:42:38 PST
There's currently no way to test the force compositing mode flag in DRT.  This should be fixed.
------- Comment #1 From 2011-08-05 16:17:41 PST -------
Created an attachment (id=103130) [details]
Patch
------- Comment #2 From 2011-08-05 18:01:56 PST -------
(From update of attachment 103130 [details])
Attachment 103130 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/9317519
------- Comment #3 From 2011-08-05 18:27:38 PST -------
I believe when touching window.internals you have to muck about with a whole bunch of export files.  Is that right, Dimitri?
------- Comment #4 From 2011-08-05 18:40:49 PST -------
(In reply to comment #3)
> I believe when touching window.internals you have to muck about with a whole bunch of export files.  Is that right, Dimitri?

Yes indeedy. That's what those busted EWS bubbles say.
------- Comment #5 From 2011-08-05 18:49:11 PST -------
(From update of attachment 103130 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=103130&action=review

> Source/WebCore/testing/Internals.cpp:195
> +void Internals::setForceCompositingMode(Document* document, bool enabled, ExceptionCode& ec)
> +{
> +    if (!document) {
> +        ec = INVALID_ACCESS_ERR;
> +        return;
> +    }
> +
> +    Settings* settings = document->settings();
> +    if (!settings) {
> +        ec = INVALID_ACCESS_ERR;
> +        return;
> +    }
> +    settings->setForceCompositingMode(enabled);
> +}

This looks like a bunch of boilerplate.  Should we make a macro so do this work?  I guess it's the first one, so maybe we should wait until we have more than one.  :)
------- Comment #6 From 2011-08-05 19:22:46 PST -------
(From update of attachment 103130 [details])
Attachment 103130 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/9317537
------- Comment #7 From 2011-08-07 19:34:56 PST -------
(In reply to comment #5)
> (From update of attachment 103130 [details] [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=103130&action=review
> 
> > Source/WebCore/testing/Internals.cpp:195
> > +void Internals::setForceCompositingMode(Document* document, bool enabled, ExceptionCode& ec)
> > +{
> > +    if (!document) {
> > +        ec = INVALID_ACCESS_ERR;
> > +        return;
> > +    }
> > +
> > +    Settings* settings = document->settings();
> > +    if (!settings) {
> > +        ec = INVALID_ACCESS_ERR;
> > +        return;
> > +    }
> > +    settings->setForceCompositingMode(enabled);
> > +}
> 
> This looks like a bunch of boilerplate.  Should we make a macro so do this work?  I guess it's the first one, so maybe we should wait until we have more than one.  :)
It would be cool if WebKitIDL supported [ConvertNullToException=INVALID_ACCESS_ERR].
------- Comment #8 From 2011-08-08 12:53:44 PST -------
Created an attachment (id=103278) [details]
Patch
------- Comment #9 From 2011-08-08 13:12:11 PST -------
(From update of attachment 103278 [details])
Attachment 103278 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/9336002
------- Comment #10 From 2011-08-08 13:33:32 PST -------
Created an attachment (id=103286) [details]
Patch
------- Comment #11 From 2011-08-08 15:22:48 PST -------
Created an attachment (id=103305) [details]
Patch
------- Comment #12 From 2011-08-08 19:08:05 PST -------
(In reply to comment #11)
> Created an attachment (id=103305) [details] [details]
> Patch

Finally.  All green.  :)

Does anybody have any feedback other than reducing boilerplate?
------- Comment #13 From 2011-08-09 12:27:35 PST -------
Committed r92697: <http://trac.webkit.org/changeset/92697>